This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 175056 - In "Search for Bugs (Simple)", interface could use sorting
In "Search for Bugs (Simple)", interface could use sorting
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-05 20:25 EST by Norm Murray
Modified: 2013-06-23 23:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 11:12:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2005-12-05 20:25:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
When searching through this list of " product or category(s)..." for step 1, I think that it would be easier if the list was a little more organised.  Ordered by the popularity of the product, not the alphabetics option it has now.

Something like this.

Red Hat Products

   Red Hat Enterprise Linux
   Red Hat Cluster Suite
   Red Hat Network
   Red Hat Application Server
   Red Hat Directory Server
   Red Hat Certificate System
  
Red Hat Projects

   Red Hat Academy
   Red Hat Ready Certification Tests
   Red Hat Raw Hide
   Client Engineering
   eCos
   eGroupware
   FeatureTracker
   NSS - Network Security Services

Community Products

   Fedora Core
   Fedora Directory Server
   Fedora Documentation
   Fedora Extra
   Fedora Legacy
   Fedora Management Console 


Older Products

   Red Hat Linux
   Red Hat Powertools
   .....

All "Beta" should be rolled into a "beta" version selection in step 2.  Why is "Daves action Items" in the list ?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Log into bugzilla
2. Click on Query
3. Look at "Step 1"
  

Actual Results:  Notice the alphabetic list of options.. I felt scared, confused and slightly hungry.

Expected Results:  I should feel enlightenment.  I feel that functional grouping is more important than alphabetic listing.

Additional info:

Just found an example..

Check out .


https://bugzilla.mozilla.org/query.cgi
Comment 1 Wade Mealing 2005-12-05 20:56:58 EST
Just for clarity, I think the url in question is.

https://bugzilla.redhat.com/bugzilla/query.cgi?format=simple
Comment 2 David Lawrence 2006-04-09 23:43:10 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 3 Wade Mealing 2006-05-21 21:03:48 EDT
Verified.
Comment 5 David Lawrence 2008-09-16 12:54:06 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Note You need to log in before you can comment on or make changes to this bug.